#pragma once

union UMemory
{
	uint16_t w[32768];
	uint8_t  b[65536];
};

extern UMemory g_Memory;
class CReader;
extern CReader *g_pReader;

int workCycle(wstring &strInFileName);
void Usage();
bool SkipTailString(wchar_t &ch);
void ParseLine();
void SaveFile(wstring &strName, wstring &strExt);
void PrintLabelTable(wstring &strName, wstring &strExt);

